Get LayerZero peers
Retrieve the LayerZero peers configured for a specific adapter. Returns information about peer relationships for cross-chain communication.
GET
/
tokenization
/
multichain
/
bridge
/
layerzero
/
config
/
{adapterTokenLinkId}
/
peers
TypeScript
const response: Promise<FireblocksResponse<GetLayerZeroPeersResponse>> = fireblocks.tokenization.getLayerZeroPeers(tokenizationApiGetLayerZeroPeersRequest);CompletableFuture<ApiResponse<GetLayerZeroPeersResponse>> response = fireblocks.tokenization().getLayerZeroPeers(adapterTokenLinkId);response = fireblocks.tokenization.get_layer_zero_peers(adapter_token_link_id);curl --request GET \
--url https://api.fireblocks.io/v1/tokenization/multichain/bridge/layerzero/config/{adapterTokenLinkId}/peersconst options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/tokenization/multichain/bridge/layerzero/config/{adapterTokenLinkId}/peers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"adapterTokenLinkId": "b70701f4-d7b1-4795-a8ee-b09cdb5b850d",
"adapterAddress": "0x1234567890abcdef1234567890abcdef12345678",
"peers": [
{
"adapterTokenLinkId": "b70701f4-d7b1-4795-a8ee-b09cdb5b850d",
"adapterAddress": "0x1234567890abcdef1234567890abcdef12345678",
"baseAssetId": "ETH_TEST6"
},
{
"adapterTokenLinkId": "b70701f4-d7b1-4795-a8ee-b09cdb5b850d",
"adapterAddress": "0x1234567890abcdef1234567890abcdef12345678",
"baseAssetId": "ETH_TEST5"
}
]
}{
"error": {
"type": "VALIDATION",
"message": "Invalid input data or parameters"
}
}{
"error": {
"type": "NOT_FOUND",
"message": "The specified token link was not found"
}
}{
"error": {
"type": "INTERNAL",
"message": "An unexpected error occurred during execution. Please try again later."
}
}Path Parameters
The token link id of the adapter token link
Response
LayerZero peers retrieved successfully
The token link id of the adapter
Example:
"b70701f4-d7b1-4795-a8ee-b09cdb5b850d"
The adapter address
Example:
"0x1234567890abcdef1234567890abcdef12345678"
The peers for the adapter
Show child attributes
Show child attributes
Example:
[
{
"adapterTokenLinkId": "b70701f4-d7b1-4795-a8ee-b09cdb5b850d",
"adapterAddress": "0x1234567890abcdef1234567890abcdef12345678",
"baseAssetId": "ETH_TEST6"
},
{
"adapterTokenLinkId": "b70701f4-d7b1-4795-a8ee-b09cdb5b850d",
"adapterAddress": "0x1234567890abcdef1234567890abcdef12345678",
"baseAssetId": "ETH_TEST5"
}
]
Was this page helpful?
Previous
Set LayerZero DVN configurationConfigure DVN settings for LayerZero adapters. This endpoint sets up the DVN configuration for message verification between source and destination adapters.
Next
⌘I
TypeScript
const response: Promise<FireblocksResponse<GetLayerZeroPeersResponse>> = fireblocks.tokenization.getLayerZeroPeers(tokenizationApiGetLayerZeroPeersRequest);CompletableFuture<ApiResponse<GetLayerZeroPeersResponse>> response = fireblocks.tokenization().getLayerZeroPeers(adapterTokenLinkId);response = fireblocks.tokenization.get_layer_zero_peers(adapter_token_link_id);